const fs = require("fs");
const util = require("../util.js");
const path = require("path");
const db = require("../db.js");

const statsFilePath = path.resolve(path.dirname(module.filename), "../imagestats.csv");
const statsFile = fs.openSync(statsFilePath, "a");

const onMessage = msg => {
    let imagesCount = msg.attachments.filter(v => util.isValidImage(v.filename)).size;

    if(imagesCount > 0) {
        let now = new Date();
        fs.writeSync(statsFile, `${now.getUTCFullYear()}-${now.getUTCMonth()+1}-${now.getUTCDate()} ${now.getUTCHours()}:${now.getUTCMinutes()};${imagesCount};${msg.channel.name}\n`);

        if(db.get("faceEditStatistics").has(msg.channel.id).value()) {
            let val = db.get("faceEditStatistics").get(msg.channel.id).value();
            db.get("faceEditStatistics").set(msg.channel.id, val + 1).write();
        }
    }

    return false;
};

module.exports = {
    onMessage: onMessage
};

